@import url("variables.css");

/* поле для пароля */
.password-wrapper {
  position: relative;
  display: inline-block;
}

#togglePassword, #second_togglePassword {
  position: absolute;
  right: 5px;
  top: 50%;
  transform: translateY(-50%);
  background: none;
  border: none;
  cursor: pointer;
  z-index: 3;
}
main {
    display: flex;
    align-content: center;
    justify-content: center;
    height: 70%;
}
main div {
    display: flex;
    align-items: center;
    flex-direction: column;
    justify-content: center;
    gap: 20px;
}
main h1 {
    text-align: center;
}
/* настройка полей формы */
form a {
    color: var(--link-color);
    text-decoration: none;
    display: block;
    text-align: center;
}
input {
    position: relative;
    width: 320px;
    height: 41px;
    padding-right: 40px; /* Место для кнопки */
    border: none;
    transition: transform 0.3s ease;
}
input::after {
  content: '';
  position: absolute;
  top: 5px; /* Смещение тени */
  left: 0px;
  width: 100%;
  height: 100%;
  border-radius: var(--elem-radius); /* 41 - 4px */
  background: linear-gradient(45deg, #5FA944, #96A336, #847926);
  filter: blur(0px);
  z-index: -1;
}

#login {
    display: block;
    margin-top: 40px;
    margin-bottom: 15px;
    width: 360px;
    height: 41px;
}

